$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.1.35-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.1.35-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '3BCD9DD912F47D96B14367E3818839EA3173E2EF194141E66C24F31106C3B394'
  checksumType = 'sha256'
  checksum64 = '3BCD9DD912F47D96B14367E3818839EA3173E2EF194141E66C24F31106C3B394'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.1.35-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
